Package org.apache.tools.ant.taskdefs.launcher

# Class PerlScriptCommandLauncher

java.lang.Object
org.apache.tools.ant.taskdefs.launcher.CommandLauncher
org.apache.tools.ant.taskdefs.launcher.CommandLauncherProxy
org.apache.tools.ant.taskdefs.launcher.PerlScriptCommandLauncher

    public class PerlScriptCommandLauncher
    extends CommandLauncherProxy

A command launcher that uses an auxiliary perl script to launch commands in directories other than the current working directory.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

  `FILE_UTILS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PerlScriptCommandLauncher​(java.lang.String script, CommandLauncher launcher)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Process` | `exec​(Project project, java.lang.String[] cmd, java.lang.String[] env, java.io.File workingDir)` | Launches the given command in a new process, in the given working directory.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncherProxy

  `exec`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

  `getShellLauncher, getVMLauncher, setShellLauncher, setVMLauncher`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PerlScriptCommandLauncher

    public PerlScriptCommandLauncher​(java.lang.String script, CommandLauncher launcher)

- ## Method Details

  - ### exec

    public java.lang.Process exec​(Project project, java.lang.String[] cmd, java.lang.String[] env, java.io.File workingDir) throws java.io.IOException
    Launches the given command in a new process, in the given working directory.
    Overrides:
      `exec` in class `CommandLauncher`
    Parameters:
      `project` - the Ant project.
      `cmd` - the command line to execute as an array of strings.
      `env` - the environment to set as an array of strings.
      `workingDir` - working directory where the command should run.
    Returns:
      the created Process.
    Throws:
      `java.io.IOException` - forwarded from the exec method of the command launcher.